Subject: Re: [PATCH 1/2] Driver for Freescale 8610 and 5121 DIU

From: Andrew Morton <[email-masked]>
Date: Mon, 14 Apr 2008 12:03:03 -0700

On Mon, 14 Apr 2008 10:46:29 -0500
Timur Tabi <[email-masked]> wrote:

> Jiri Slaby wrote:
> 
> > Mainly because you can sleep inside locked mutex and because spinlock shouldn't
> > be used for too many lines of code (busy waiting etc.). I think ldd3 will be
> > more descriptive than me here :).
> 
> Ok, I'll look into it.
> 
> Andrew, do you want us to respin the patch, or would you be willing to let us
> make the change in a follow-up patch?

A fix against rc8-mm3 would be ideal for me.  But a replacement patch is OK
too - I'd convert that into an incremental so I can see what changed anyway.

Others might find the replacement patch harder to review though...